package net.sourceforge.btrummer.nougatbytes.controller;

import net.sourceforge.btrummer.nougatbytes.model.Color;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.Arrays;

import static org.springframework.web.bind.annotation.RequestMethod.GET;

@Controller
public class IndexController {
    @RequestMapping(path = "/index", method = GET)
    public String root(@ModelAttribute("model") ModelMap model) {
        model.addAttribute("colors", Arrays.asList(Color.values()));

        return "index";
    }
}
