package net.sourceforge.btrummer.nougatbytes.model;

public enum Color {
    RED("Rot", "#ff8080"),
    ORANGE("Orange", "#ffc080"),
    YELLOW("Gelb", "#ffff80"),
    GREEN("Grün", "#80ff80"),
    BLUE("Blau", "#8080ff"),
    PURPLE("Violett", "#ff80ff");

    private final String text;
    private final String css;

    Color(String text, String css) {
        this.text = text;
        this.css = css;
    }

    public String getText() {
        return text;
    }

    public String getCss() {
        return css;
    }
}