function $(id) {
    return document.getElementById(id);
}

function initialize() {
    updateColor(0, colors['RED']);
    updateColor(1, colors['BLUE']);

    $("team_0_color").addEventListener("input", function() {
        updateColor(0, colors[$("team_0_color").value]);
    });

    $("team_1_color").addEventListener("input", function() {
        updateColor(1, colors[$("team_1_color").value]);
    });

    var audio = new Audio("../background.ogg");
    audio.id = 'audio';
    audio.loop = true;
    audio.play();
    document.body.appendChild(audio);
}

function updateColor(id, color) {
    $("team_" + id).style.backgroundColor = color;
    $("team_" + id + "_color").style.background = color;
}
